### Enumeration

# FwupdPlugin V4lCap

#### Declaration

    enum FwupdPlugin.V4lCap

#### Description

No description available.

#### Members

Name | Description
--- | ---
`FU_V4L_CAP_NONE` | No description available.
`FU_V4L_CAP_VIDEO_CAPTURE` | Video capture device.
`FU_V4L_CAP_VIDEO_OUTPUT` | Video output device.
`FU_V4L_CAP_VIDEO_OVERLAY` | Video overlay.
`FU_V4L_CAP_VBI_CAPTURE` | Raw VBI capture device.
`FU_V4L_CAP_VBI_OUTPUT` | Raw VBI output device.
`FU_V4L_CAP_SLICED_VBI_CAPTURE` | Sliced VBI capture device.
`FU_V4L_CAP_SLICED_VBI_OUTPUT` | Sliced VBI output device.
`FU_V4L_CAP_RDS_CAPTURE` | RDS data capture.
`FU_V4L_CAP_VIDEO_OUTPUT_OVERLAY` | Video output overlay.
`FU_V4L_CAP_HW_FREQ_SEEK` | Hardware frequency seek.
`FU_V4L_CAP_RDS_OUTPUT` | RDS encoder.
`FU_V4L_CAP_VIDEO_CAPTURE_MPLANE` | Video capture device that supports multiplanar formats.
`FU_V4L_CAP_VIDEO_OUTPUT_MPLANE` | Video output device that supports multiplanar formats.
`FU_V4L_CAP_VIDEO_M2M_MPLANE` | Video mem-to-mem device that supports multiplanar formats.
`FU_V4L_CAP_VIDEO_M2M` | Video mem-to-mem device.
`FU_V4L_CAP_TUNER` | Has a tuner.
`FU_V4L_CAP_AUDIO` | Has audio support.
`FU_V4L_CAP_RADIO` | Is a radio device.
`FU_V4L_CAP_MODULATOR` | Has a modulator.
`FU_V4L_CAP_SDR_CAPTURE` | SDR capture device.
`FU_V4L_CAP_EXT_PIX_FORMAT` | Supports the extended pixel format.
`FU_V4L_CAP_SDR_OUTPUT` | SDR output device.
`FU_V4L_CAP_META_CAPTURE` | Metadata capture device.
`FU_V4L_CAP_READWRITE` | Read/write systemcalls.
`FU_V4L_CAP_STREAMING` | Streaming I/O ioctls.
`FU_V4L_CAP_META_OUTPUT` | Metadata output device.
`FU_V4L_CAP_TOUCH` | Touch device.
`FU_V4L_CAP_IO_MC` | Input/output controlled by the media controller.
`FU_V4L_CAP_DEVICE_CAPS` | Sets device capabilities field.